diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/fd-net-device/examples/dummy-network.cc ns-3.43/src/fd-net-device/examples/dummy-network.cc
--- ns-3.42/src/fd-net-device/examples/dummy-network.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/fd-net-device/examples/dummy-network.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 University of Washington, 2012 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/fd-net-device/examples/fd2fd-onoff.cc ns-3.43/src/fd-net-device/examples/fd2fd-onoff.cc
--- ns-3.42/src/fd-net-device/examples/fd2fd-onoff.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/fd-net-device/examples/fd2fd-onoff.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 University of Washington, 2012 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Alina Quereilhac <alina.quereilhac@inria.fr>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/fd-net-device/examples/fd-emu-onoff.cc ns-3.43/src/fd-net-device/examples/fd-emu-onoff.cc
--- ns-3.42/src/fd-net-device/examples/fd-emu-onoff.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/fd-net-device/examples/fd-emu-onoff.cc	2024-10-09 16:41:09.876655800 -0700
@@ -3,18 +3,7 @@
  *               2017 Università' degli Studi di Napoli Federico II
  *               2019 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Alina Quereilhac <alina.quereilhac@inria.fr>
  * Extended by: Pasquale Imputato <p.imputato@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/fd-net-device/examples/fd-emu-ping.cc ns-3.43/src/fd-net-device/examples/fd-emu-ping.cc
--- ns-3.42/src/fd-net-device/examples/fd-emu-ping.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/fd-net-device/examples/fd-emu-ping.cc	2024-10-09 16:41:09.876655800 -0700
@@ -3,18 +3,7 @@
  *               2017 Università' degli Studi di Napoli Federico II
  *               2019 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 // Allow ns-3 to ping a real host somewhere, using emulation mode
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/fd-net-device/examples/fd-emu-send.cc ns-3.43/src/fd-net-device/examples/fd-emu-send.cc
--- ns-3.42/src/fd-net-device/examples/fd-emu-send.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/fd-net-device/examples/fd-emu-send.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2017 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Pasquale Imputato <p.imputato@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/fd-net-device/examples/fd-emu-tc.cc ns-3.43/src/fd-net-device/examples/fd-emu-tc.cc
--- ns-3.42/src/fd-net-device/examples/fd-emu-tc.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/fd-net-device/examples/fd-emu-tc.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2017 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Pasquale Imputato <p.imputato@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/fd-net-device/examples/fd-emu-udp-echo.cc ns-3.43/src/fd-net-device/examples/fd-emu-udp-echo.cc
--- ns-3.42/src/fd-net-device/examples/fd-emu-udp-echo.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/fd-net-device/examples/fd-emu-udp-echo.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 University of Washington, 2012 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 // Network topology
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/fd-net-device/examples/fd-tap-ping6.cc ns-3.43/src/fd-net-device/examples/fd-tap-ping6.cc
--- ns-3.42/src/fd-net-device/examples/fd-tap-ping6.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/fd-net-device/examples/fd-tap-ping6.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 University of Washington, 2012 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 // Allow ns-3 to ping a TAP device in the host machine.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/fd-net-device/examples/fd-tap-ping.cc ns-3.43/src/fd-net-device/examples/fd-tap-ping.cc
--- ns-3.42/src/fd-net-device/examples/fd-tap-ping.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/fd-net-device/examples/fd-tap-ping.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 University of Washington, 2012 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 // Allow ns-3 to ping a real host somewhere, using emulation mode and ping
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/fd-net-device/examples/realtime-dummy-network.cc ns-3.43/src/fd-net-device/examples/realtime-dummy-network.cc
--- ns-3.42/src/fd-net-device/examples/realtime-dummy-network.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/fd-net-device/examples/realtime-dummy-network.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 University of Washington, 2012 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/fd-net-device/examples/realtime-fd2fd-onoff.cc ns-3.43/src/fd-net-device/examples/realtime-fd2fd-onoff.cc
--- ns-3.42/src/fd-net-device/examples/realtime-fd2fd-onoff.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/fd-net-device/examples/realtime-fd2fd-onoff.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 University of Washington, 2012 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Alina Quereilhac <alina.quereilhac@inria.fr>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/fd-net-device/helper/creator-utils.cc ns-3.43/src/fd-net-device/helper/creator-utils.cc
--- ns-3.42/src/fd-net-device/helper/creator-utils.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/fd-net-device/helper/creator-utils.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "creator-utils.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/fd-net-device/helper/creator-utils.h ns-3.43/src/fd-net-device/helper/creator-utils.h
--- ns-3.42/src/fd-net-device/helper/creator-utils.h	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/fd-net-device/helper/creator-utils.h	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef CREATOR_UTILS_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/fd-net-device/helper/dpdk-net-device-helper.cc ns-3.43/src/fd-net-device/helper/dpdk-net-device-helper.cc
--- ns-3.42/src/fd-net-device/helper/dpdk-net-device-helper.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/fd-net-device/helper/dpdk-net-device-helper.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Harsh Patel <thadodaharsh10@gmail.com>
  *          Hrishikesh Hiraskar <hrishihiraskar@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/fd-net-device/helper/dpdk-net-device-helper.h ns-3.43/src/fd-net-device/helper/dpdk-net-device-helper.h
--- ns-3.42/src/fd-net-device/helper/dpdk-net-device-helper.h	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/fd-net-device/helper/dpdk-net-device-helper.h	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Harsh Patel <thadodaharsh10@gmail.com>
  *          Hrishikesh Hiraskar <hrishihiraskar@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/fd-net-device/helper/emu-fd-net-device-helper.cc ns-3.43/src/fd-net-device/helper/emu-fd-net-device-helper.cc
--- ns-3.42/src/fd-net-device/helper/emu-fd-net-device-helper.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/fd-net-device/helper/emu-fd-net-device-helper.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 INRIA, 2012 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "emu-fd-net-device-helper.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/fd-net-device/helper/emu-fd-net-device-helper.h ns-3.43/src/fd-net-device/helper/emu-fd-net-device-helper.h
--- ns-3.42/src/fd-net-device/helper/emu-fd-net-device-helper.h	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/fd-net-device/helper/emu-fd-net-device-helper.h	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 INRIA, 2012 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/fd-net-device/helper/encode-decode.cc ns-3.43/src/fd-net-device/helper/encode-decode.cc
--- ns-3.42/src/fd-net-device/helper/encode-decode.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/fd-net-device/helper/encode-decode.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include <iomanip>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/fd-net-device/helper/encode-decode.h ns-3.43/src/fd-net-device/helper/encode-decode.h
--- ns-3.42/src/fd-net-device/helper/encode-decode.h	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/fd-net-device/helper/encode-decode.h	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef ENCODE_DECODE_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/fd-net-device/helper/fd-net-device-helper.cc ns-3.43/src/fd-net-device/helper/fd-net-device-helper.cc
--- ns-3.42/src/fd-net-device/helper/fd-net-device-helper.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/fd-net-device/helper/fd-net-device-helper.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Alina Quereilhac <alina.quereilhac@inria.fr>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/fd-net-device/helper/fd-net-device-helper.h ns-3.43/src/fd-net-device/helper/fd-net-device-helper.h
--- ns-3.42/src/fd-net-device/helper/fd-net-device-helper.h	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/fd-net-device/helper/fd-net-device-helper.h	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Alina Quereilhac <alina.quereilhac@inria.fr>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/fd-net-device/helper/netmap-device-creator.cc ns-3.43/src/fd-net-device/helper/netmap-device-creator.cc
--- ns-3.42/src/fd-net-device/helper/netmap-device-creator.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/fd-net-device/helper/netmap-device-creator.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "creator-utils.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/fd-net-device/helper/netmap-net-device-helper.cc ns-3.43/src/fd-net-device/helper/netmap-net-device-helper.cc
--- ns-3.42/src/fd-net-device/helper/netmap-net-device-helper.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/fd-net-device/helper/netmap-net-device-helper.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2017 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Pasquale Imputato <p.imputato@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/fd-net-device/helper/netmap-net-device-helper.h ns-3.43/src/fd-net-device/helper/netmap-net-device-helper.h
--- ns-3.42/src/fd-net-device/helper/netmap-net-device-helper.h	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/fd-net-device/helper/netmap-net-device-helper.h	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2017 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Pasquale Imputato <p.imputato@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/fd-net-device/helper/raw-sock-creator.cc ns-3.43/src/fd-net-device/helper/raw-sock-creator.cc
--- ns-3.42/src/fd-net-device/helper/raw-sock-creator.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/fd-net-device/helper/raw-sock-creator.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "creator-utils.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/fd-net-device/helper/tap-device-creator.cc ns-3.43/src/fd-net-device/helper/tap-device-creator.cc
--- ns-3.42/src/fd-net-device/helper/tap-device-creator.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/fd-net-device/helper/tap-device-creator.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "creator-utils.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/fd-net-device/helper/tap-fd-net-device-helper.cc ns-3.43/src/fd-net-device/helper/tap-fd-net-device-helper.cc
--- ns-3.42/src/fd-net-device/helper/tap-fd-net-device-helper.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/fd-net-device/helper/tap-fd-net-device-helper.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 INRIA, 2012 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "tap-fd-net-device-helper.h"
